Loading...
Searching...
No Matches
FDB example code
NETIFs » IEEE 802.1D bridge

## Functions

void | bridgeif_fdb_update_src (void *fdb_ptr, struct eth_addr *src_addr, u8_t port_idx)
bridgeif_portmask_t | bridgeif_fdb_get_dst_ports (void *fdb_ptr, struct eth_addr *dst_addr)
void * | bridgeif_fdb_init (u16_t max_fdb_entries)

## Detailed Description

This file implements an example for an FDB (Forwarding DataBase)

## Function Documentation

## bridgeif_fdb_get_dst_ports()

bridgeif_portmask_t bridgeif_fdb_get_dst_ports | ( | void * | fdb_ptr,
|  | struct eth_addr * | dst_addr )

Walk our list of auto-learnt fdb entries and return a port to forward or BR_FLOOD if unknown

## bridgeif_fdb_init()

void * bridgeif_fdb_init | ( | u16_t | max_fdb_entries | ) |

Init our simple fdb list

## bridgeif_fdb_update_src()

void bridgeif_fdb_update_src | ( | void * | fdb_ptr,
|  | struct eth_addr * | src_addr,
|  | u8_t | port_idx )

A real simple and slow implementation of an auto-learning forwarding database that remembers known src mac addresses to know which port to send frames destined for that mac address.

ATTENTION: This is meant as an example only, in real-world use, you should provide a better implementation :-)